<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="122dp"
        android:background="@drawable/drw_admob_bg"
        android:gravity="center_horizontal"
        android:orientation="horizontal"
        tools:ignore="MissingConstraints">

        <FrameLayout
            android:id="@+id/mv_event_con"
            android:layout_width="148dp"
            tools:background="#FF1A1A1A"
            android:layout_height="match_parent" />

        <ImageView
            android:id="@+id/im_event_icon"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_marginTop="40dp"
            android:visibility="gone"
            tools:background="@drawable/ic_launcher_background" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_weight="1"
            android:paddingHorizontal="12dp"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/drw_ad_tag_bg"
                    android:paddingStart="4dp"
                    android:paddingEnd="4dp"
                    android:text="AD"
                    android:textColor="@color/white"
                    android:textSize="12dp" />

                <TextView
                    android:id="@+id/tv_event_title"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ellipsize="end"
                    android:layout_marginStart="4dp"
                    android:lineSpacingExtra="0dp"
                    android:drawablePadding="4dp"
                    android:singleLine="true"
                    android:gravity="start"
                    android:maxLines="1"
                    android:textColor="@color/white"
                    android:textSize="16dp"
                    tools:text="dddd dddd dddd  ddd " />

                <LinearLayout
                    android:id="@+id/ll_ad_options_view"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:orientation="vertical"
                    android:layout_marginStart="2dp"
                    android:visibility="gone"
                    android:layout_alignParentEnd="true">

                </LinearLayout>
            </LinearLayout>

            <TextView
                android:id="@+id/tv_event_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:minHeight="28dp"
                android:layout_marginTop="4dp"
                android:gravity="start"
                android:lineSpacingExtra="0dp"
                android:maxLines="2"
                android:textColor="@color/white_60"
                android:textSize="12dp"
                tools:text="xxxxx xxxxxxxxxxx  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" />

            <TextView
                android:id="@+id/tv_advertiser"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:fontFamily="@string/Roboto_Regular"
                android:layout_marginHorizontal="12dp"
                android:textColor="@color/white_60"
                android:textSize="12dp"
                android:visibility="gone"
                tools:text="xxxxxxxxxxxxxxxxxxxxx" />

            <Button
                android:id="@+id/tv_event_bt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:minHeight="36dp"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="6dp"
                android:gravity="center"
                android:background="@drawable/drw_btn_bg"
                android:textColor="@color/black"
                android:textSize="14dp"
                android:textStyle="bold"
                tools:text="action now " />
        </LinearLayout>


    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>